Invite a member or student into the active organization (staff)
POST /api/organizations/invites. Invite a member or student into the active organization (staff). Headless LMS Organizations API reference.
Owner or admin only. A student is created by this call, so their access can be granted before they accept. 409 when a student with that email is already in the organization.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/organizations/invites" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "role": "admin" }'{ "id": "string", "email": "string", "role": "admin", "status": "string", "expiresAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Remove an organization member (staff) DELETE
DELETE /api/organizations/members/{id}. Remove an organization member (staff). Headless LMS Organizations API reference.
Read an invite by its token GET
GET /api/organizations/invites/{token}. Read an invite by its token. Headless LMS Organizations API reference.